#include <stdio.h>
#include <io.h>

int read_record( int  handle,
		 long rec_numb,
		 int  rec_size,
		 char *buffer )
  {
    if( lseek( handle, rec_numb * rec_size, SEEK_SET )
	 == -1L ) {
      return( -1 );
    }
    return( read( handle, buffer, rec_size ) );
  }
